/* Body style with background image */
body {
  font-family: 'Raleway', sans-serif;
  margin: 0;
  padding: 0;
  background: url('portrait.jpg') no-repeat center center fixed;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

/*add CAF font*/
@font-face {
  font-family: CafFont;
  src: url(fonts/GraphikArabic-Bold.woff);
}

/* Outer Div - animated border */
.outer-div {
  position: relative;
  width: 300px;
  height: 520px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background: rgba(255, 255, 255, 0); /* Transparent to show body background */
  border-radius: 10px;
  animation: border-draw 2s ease forwards;
}

/* Animated border */
@keyframes border-draw {
  0% {
    border: 2px solid rgba(0, 0, 0, 0); /* Start with invisible border */
  }
  100% {
    border: 2px solid transparent;
    border-image: linear-gradient(45deg, #714f06 , #000000) 1;
  }
}

/* CAF Logo Container */
.top-div {
  flex: 0.5;
  display: flex;
  justify-content: center;
  align-items: center;
}

.top-div img {
  width: 150px;
  height: auto;
}

/* Flags Menu and CTA Button Container */
.bottom-div {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  background: rgba(255, 255, 255, 0); /* Transparent */
  position: relative;
  overflow: hidden;
}

/* CTA Button */
#menuButton {
  padding: 10px 20px;
  background-color: #714f06;
  color: white;
  border: none;
  cursor: pointer;
  font-size: 16px;
  border-radius: 5px;
  transition: all 0.3s ease;
  position: absolute;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 10;
}

/* Flags Menu (Initially Hidden) */
#flags-menu {
  display: none;
  flex-wrap: wrap;
  justify-content: space-around; /* Distribute flags evenly */
  gap: 10px;
  width: 100%;
  position: absolute;
  top: 60px;
  padding: 20px;
  transition: all 0.3s ease;
  height: 200px;
}
/* Adjust each flag to take up 20% of the container width (1/5 = 20%) */
#flags-menu a {
  flex-basis: 20%; /* 20% of the container width = 5 flags per row */
  text-decoration: none;
  display: flex;
  justify-content: center;
}

#flags-menu.open {
  display: flex;
}

/* Flag style */
#flags-menu img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  transition: transform 0.2s ease;
}


#flags-menu img:hover {
  transform: scale(1.1);
}
p.pageqoute {
    text-align: center;
    padding:0px 30px;
    color: #ffffff;
    font-size: larger;
    font-weight: bold;
    line-height: 1.2;
}